SDLTest_CommonState Struct Reference

`#include <SDL_test_common.h>`

Collaboration diagram for SDLTest_CommonState:
[legend]

## Data Fields

char ** | argv
SDL_InitFlags | flags
SDLTest_VerboseFlags | verbose
const char * | videodriver
int | display_index
SDL_DisplayID | displayID
const char * | window_title
const char * | window_icon
SDL_WindowFlags | window_flags
bool | flash_on_focus_loss
int | window_x
int | window_y
int | window_w
int | window_h
int | window_minW
int | window_minH
int | window_maxW
int | window_maxH
float | window_min_aspect
float | window_max_aspect
int | logical_w
int | logical_h
bool | auto_scale_content
SDL_RendererLogicalPresentation | logical_presentation
float | scale
int | depth
float | refresh_rate
bool | fill_usable_bounds
bool | fullscreen_exclusive
SDL_DisplayMode | fullscreen_mode
int | num_windows
SDL_Window ** | windows
const char * | gpudriver
const char * | renderdriver
int | render_vsync
bool | skip_renderer
SDL_Renderer ** | renderers
SDL_Texture ** | targets
const char * | audiodriver
SDL_AudioFormat | audio_format
int | audio_channels
int | audio_freq
SDL_AudioDeviceID | audio_id
int | gl_red_size
int | gl_green_size
int | gl_blue_size
int | gl_alpha_size
int | gl_buffer_size
int | gl_depth_size
int | gl_stencil_size
int | gl_double_buffer
int | gl_accum_red_size
int | gl_accum_green_size
int | gl_accum_blue_size
int | gl_accum_alpha_size
int | gl_stereo
int | gl_release_behavior
int | gl_multisamplebuffers
int | gl_multisamplesamples
int | gl_retained_backing
int | gl_accelerated
int | gl_major_version
int | gl_minor_version
int | gl_debug
int | gl_profile_mask
SDL_Rect | confine
bool | hide_cursor
SDLTest_ArgumentParser | common_argparser
SDLTest_ArgumentParser | video_argparser
SDLTest_ArgumentParser | audio_argparser
SDLTest_ArgumentParser * | argparser

## Detailed Description

Definition at line 75 of file SDL_test_common.h.

## Field Documentation

## argparser

SDLTest_ArgumentParser* SDLTest_CommonState::argparser

Definition at line 161 of file SDL_test_common.h.

## argv

char** SDLTest_CommonState::argv

Definition at line 78 of file SDL_test_common.h.

## audio_argparser

SDLTest_ArgumentParser SDLTest_CommonState::audio_argparser

Definition at line 159 of file SDL_test_common.h.

## audio_channels

int SDLTest_CommonState::audio_channels

Definition at line 124 of file SDL_test_common.h.

## audio_format

SDL_AudioFormat SDLTest_CommonState::audio_format

Definition at line 123 of file SDL_test_common.h.

## audio_freq

int SDLTest_CommonState::audio_freq

Definition at line 125 of file SDL_test_common.h.

## audio_id

SDL_AudioDeviceID SDLTest_CommonState::audio_id

Definition at line 126 of file SDL_test_common.h.

## audiodriver

const char* SDLTest_CommonState::audiodriver

Definition at line 122 of file SDL_test_common.h.

## auto_scale_content

bool SDLTest_CommonState::auto_scale_content

Definition at line 102 of file SDL_test_common.h.

## common_argparser

SDLTest_ArgumentParser SDLTest_CommonState::common_argparser

Definition at line 157 of file SDL_test_common.h.

## confine

SDL_Rect SDLTest_CommonState::confine

Definition at line 153 of file SDL_test_common.h.

## depth

int SDLTest_CommonState::depth

Definition at line 105 of file SDL_test_common.h.

## display_index

int SDLTest_CommonState::display_index

Definition at line 84 of file SDL_test_common.h.

## displayID

SDL_DisplayID SDLTest_CommonState::displayID

Definition at line 85 of file SDL_test_common.h.

## fill_usable_bounds

bool SDLTest_CommonState::fill_usable_bounds

Definition at line 107 of file SDL_test_common.h.

## flags

SDL_InitFlags SDLTest_CommonState::flags

Definition at line 79 of file SDL_test_common.h.

## flash_on_focus_loss

bool SDLTest_CommonState::flash_on_focus_loss

Definition at line 89 of file SDL_test_common.h.

## fullscreen_exclusive

bool SDLTest_CommonState::fullscreen_exclusive

Definition at line 108 of file SDL_test_common.h.

## fullscreen_mode

SDL_DisplayMode SDLTest_CommonState::fullscreen_mode

Definition at line 109 of file SDL_test_common.h.

## gl_accelerated

int SDLTest_CommonState::gl_accelerated

Definition at line 146 of file SDL_test_common.h.

## gl_accum_alpha_size

int SDLTest_CommonState::gl_accum_alpha_size

Definition at line 140 of file SDL_test_common.h.

## gl_accum_blue_size

int SDLTest_CommonState::gl_accum_blue_size

Definition at line 139 of file SDL_test_common.h.

## gl_accum_green_size

int SDLTest_CommonState::gl_accum_green_size

Definition at line 138 of file SDL_test_common.h.

## gl_accum_red_size

int SDLTest_CommonState::gl_accum_red_size

Definition at line 137 of file SDL_test_common.h.

## gl_alpha_size

int SDLTest_CommonState::gl_alpha_size

Definition at line 132 of file SDL_test_common.h.

## gl_blue_size

int SDLTest_CommonState::gl_blue_size

Definition at line 131 of file SDL_test_common.h.

## gl_buffer_size

int SDLTest_CommonState::gl_buffer_size

Definition at line 133 of file SDL_test_common.h.

## gl_debug

int SDLTest_CommonState::gl_debug

Definition at line 149 of file SDL_test_common.h.

## gl_depth_size

int SDLTest_CommonState::gl_depth_size

Definition at line 134 of file SDL_test_common.h.

## gl_double_buffer

int SDLTest_CommonState::gl_double_buffer

Definition at line 136 of file SDL_test_common.h.

## gl_green_size

int SDLTest_CommonState::gl_green_size

Definition at line 130 of file SDL_test_common.h.

## gl_major_version

int SDLTest_CommonState::gl_major_version

Definition at line 147 of file SDL_test_common.h.

## gl_minor_version

int SDLTest_CommonState::gl_minor_version

Definition at line 148 of file SDL_test_common.h.

## gl_multisamplebuffers

int SDLTest_CommonState::gl_multisamplebuffers

Definition at line 143 of file SDL_test_common.h.

## gl_multisamplesamples

int SDLTest_CommonState::gl_multisamplesamples

Definition at line 144 of file SDL_test_common.h.

## gl_profile_mask

int SDLTest_CommonState::gl_profile_mask

Definition at line 150 of file SDL_test_common.h.

## gl_red_size

int SDLTest_CommonState::gl_red_size

Definition at line 129 of file SDL_test_common.h.

## gl_release_behavior

int SDLTest_CommonState::gl_release_behavior

Definition at line 142 of file SDL_test_common.h.

## gl_retained_backing

int SDLTest_CommonState::gl_retained_backing

Definition at line 145 of file SDL_test_common.h.

## gl_stencil_size

int SDLTest_CommonState::gl_stencil_size

Definition at line 135 of file SDL_test_common.h.

## gl_stereo

int SDLTest_CommonState::gl_stereo

Definition at line 141 of file SDL_test_common.h.

## gpudriver

const char* SDLTest_CommonState::gpudriver

Definition at line 112 of file SDL_test_common.h.

## hide_cursor

bool SDLTest_CommonState::hide_cursor

Definition at line 154 of file SDL_test_common.h.

## logical_h

int SDLTest_CommonState::logical_h

Definition at line 101 of file SDL_test_common.h.

## logical_presentation

SDL_RendererLogicalPresentation SDLTest_CommonState::logical_presentation

Definition at line 103 of file SDL_test_common.h.

## logical_w

int SDLTest_CommonState::logical_w

Definition at line 100 of file SDL_test_common.h.

## num_windows

int SDLTest_CommonState::num_windows

Definition at line 110 of file SDL_test_common.h.

## refresh_rate

float SDLTest_CommonState::refresh_rate

Definition at line 106 of file SDL_test_common.h.

## render_vsync

int SDLTest_CommonState::render_vsync

Definition at line 116 of file SDL_test_common.h.

## renderdriver

const char* SDLTest_CommonState::renderdriver

Definition at line 115 of file SDL_test_common.h.

## renderers

SDL_Renderer** SDLTest_CommonState::renderers

Definition at line 118 of file SDL_test_common.h.

## scale

float SDLTest_CommonState::scale

Definition at line 104 of file SDL_test_common.h.

## skip_renderer

bool SDLTest_CommonState::skip_renderer

Definition at line 117 of file SDL_test_common.h.

## targets

SDL_Texture** SDLTest_CommonState::targets

Definition at line 119 of file SDL_test_common.h.

## verbose

SDLTest_VerboseFlags SDLTest_CommonState::verbose

Definition at line 80 of file SDL_test_common.h.

## video_argparser

SDLTest_ArgumentParser SDLTest_CommonState::video_argparser

Definition at line 158 of file SDL_test_common.h.

## videodriver

const char* SDLTest_CommonState::videodriver

Definition at line 83 of file SDL_test_common.h.

## window_flags

SDL_WindowFlags SDLTest_CommonState::window_flags

Definition at line 88 of file SDL_test_common.h.

## window_h

int SDLTest_CommonState::window_h

Definition at line 93 of file SDL_test_common.h.

## window_icon

const char* SDLTest_CommonState::window_icon

Definition at line 87 of file SDL_test_common.h.

## window_max_aspect

float SDLTest_CommonState::window_max_aspect

Definition at line 99 of file SDL_test_common.h.

## window_maxH

int SDLTest_CommonState::window_maxH

Definition at line 97 of file SDL_test_common.h.

## window_maxW

int SDLTest_CommonState::window_maxW

Definition at line 96 of file SDL_test_common.h.

## window_min_aspect

float SDLTest_CommonState::window_min_aspect

Definition at line 98 of file SDL_test_common.h.

## window_minH

int SDLTest_CommonState::window_minH

Definition at line 95 of file SDL_test_common.h.

## window_minW

int SDLTest_CommonState::window_minW

Definition at line 94 of file SDL_test_common.h.

## window_title

const char* SDLTest_CommonState::window_title

Definition at line 86 of file SDL_test_common.h.

## window_w

int SDLTest_CommonState::window_w

Definition at line 92 of file SDL_test_common.h.

## window_x

int SDLTest_CommonState::window_x

Definition at line 90 of file SDL_test_common.h.

## window_y

int SDLTest_CommonState::window_y

Definition at line 91 of file SDL_test_common.h.

## windows

SDL_Window** SDLTest_CommonState::windows

Definition at line 111 of file SDL_test_common.h.

The documentation for this struct was generated from the following file:

- SDL_test_common.h